const system = require("../../../system");
const Dao = require("../../dao.base");
class OorderinforegDao extends Dao {
  constructor() {
    super(Dao.getModelName(OorderinforegDao));
  }

  async getByIds(ids){
    if(!ids || ids.length == 0){
      return {};
    }
    let sql = `select * from o_order_info_reg where 1=1 and id in (:ids)`;
    let list = await this.customQuery(sql, {ids:ids});
    let map = {};
    for(let item of list) {
      map[item.id] = item;
    }
    return map;
  }

}
module.exports = OorderinforegDao;